National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2017-1439 Detail

Current Description

IBM DB2 for Linux, UNIX and Windows 9.7, 10,1, 10.5, and 11.1 (includes DB2 Connect Server) could allow a local user with DB2 instance owner privileges to obtain root access. IBM X-Force ID: 128058.

Source:  MITRE      Last Modified:  09/12/2017      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2017-1439
Original release date:
09/12/2017
Last revised:
09/20/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 3.0):
CVSS v3 Base Score:
6.7 Medium
Vector:
CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H (legend)
Impact Score:
5.9
Exploitability Score:
0.8
CVSS Version 3 Metrics:
Attack Vector (AV):
Local
Attack Complexity (AC):
Low
Privileges Required (PR):
High
User Interaction (UI):
None
Scope (S):
Unchanged
Confidentiality (C):
High
Integrity (I):
High
Availability (A):
High
CVSS Severity (version 2.0):
CVSS v2 Base Score:
7.2 HIGH
Vector:
(AV:L/AC:L/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
3.9
CVSS Version 2 Metrics:
Access Vector:
Locally exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://www.ibm.com/support/docview.wss?uid=swg22006061 Patch; Vendor Advisory External Source CONFIRM http://www.ibm.com/support/docview.wss?uid=swg22006061
http://www.securityfocus.com/bid/100690 Third Party Advisory; VDB Entry External Source BID 100690
http://www.securitytracker.com/id/1039301 Third Party Advisory; VDB Entry External Source SECTRACK 1039301
https://exchange.xforce.ibmcloud.com/vulnerabilities/128058 VDB Entry; Vendor Advisory External Source MISC https://exchange.xforce.ibmcloud.com/vulnerabilities/128058

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:ibm:db2:9.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.9:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.9:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.10:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.11:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.3:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:11.1.0.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.9:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.10:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:9.7.0.11:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:10.5.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2_connect:11.1.0.0:*:*:*:*:*:*:*
OR
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes